All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class DefaultPersistentFilter

    com.sas.dataselectors.filters.DefaultPersistentFilter

All Implemented Interfaces:
  PersistentFilterInterface

    @SASScope(value="ALL")
    public class DefaultPersistentFilter

implements PersistentFilterInterface

TODO JavaDoc this class

Field Summary
`protected java.lang.String` | `description`
`protected java.lang.Object` | `filterObject`
`protected java.lang.String` | `label`

Constructor Summary
`DefaultPersistentFilter(java.lang.Object item, java.lang.String label, java.lang.String desc)`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.Object` | `getFilterObject()`
`java.lang.String` | `getLabel()`

Field Detail

### filterObject

    protected java.lang.Object filterObject

### label

    protected java.lang.String label

### description

    protected java.lang.String description

Constructor Detail

### DefaultPersistentFilter

    public DefaultPersistentFilter(java.lang.Object item,
                                   java.lang.String label,
                                   java.lang.String desc)

Parameters:
  `item` -
  `label` -
  `desc` -

Method Detail

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in interface `PersistentFilterInterface`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `PersistentFilterInterface`

### getFilterObject

    public java.lang.Object getFilterObject()

  Specified by:
    `getFilterObject` in interface `PersistentFilterInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.